| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::ProgramManagerWrapper Class Referencefinal

Wraps the nkGraphics::ProgramManager and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | createOrRetrieve (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | get (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | rename (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | erase (const nkScripts::DataStack &stack)

## Detailed Description

Wraps the nkGraphics::ProgramManager and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::ProgramManagerWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ createOrRetrieve()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::ProgramManagerWrapper::createOrRetrieve | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::ShaderManager::createOrRetrieveProgram().

local p = nkGraphics.ProgramManager.createOrRetrieve("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Program.

## ◆ get()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::ProgramManagerWrapper::get | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::ShaderManager::getProgram().

local p = nkGraphics.ProgramManager.get("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Program.

## ◆ rename()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::ProgramManagerWrapper::rename | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::ShaderManager::renameProgram().

nkGraphics.ProgramManager.rename("Hey", "Hello") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ erase()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::ProgramManagerWrapper::erase | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::ShaderManager::eraseProgram().

nkGraphics.ProgramManager.erase("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Programs/ProgramManagerWrapper.h